Customer management
Customer management APIs
Use Cross River APIs to manage your customer information (called a customer record). You need a customer record, for example, to open a deposit account or create a debit card.
Get started with Cross River APIs.
GET calls
- Add query parameters to filter the response the API returns to general GET calls.
- Use pagination to control presentation of your results.
API calls
Action | API | Description |
|---|---|---|
POST /core/v1/cm/customers | Create new personal customer record | |
POST /core/v1/cm/customers | Create new business customer record | |
GET /core/v1/cm/customers/{id} | Retrieve a customer record by id | |
POST /core/v1/cm/customers/{customerId}/beneficial-owners | Add a beneficial owner to a business customer record | |
POST /core/v1/cm/customers/{customerId}/beneficial-owners/{id} | Update the beneficial owner record | |
POST /core/v1/cm/customers/{customerId}/identifications | Add ID details | |
POST /core/v1/cm/customers/{customerId}/addresses | Update customer address | |
POST /core/v1/cm/customers/{customerId}/phones | Update customer phone number | |
POST /core/v1/cm/customers/{customerId}/email | Update customer email | |
PUT /core/v1/cm/customers/{customerId}/name | Update customer name | |
PUT /core/v1/cm/customers/{id}/profile | Update the customer record banking profile | |
PUT /core/v1/cm/customer/{id}/due-diligence | Update due diligence information for a personal customer record | |
DELETE /core/v1/cm/customers/{id} | Deactivate a customer |
Tutorials
See our API tutorials to learn how to:
- Onboard a customer: Create a basic customer record in our system. Most products and services require a customer record for each of your customers.
- Add a beneficial owner: Associate a beneficial owner with a business customer record or use the beneficial owner field for BIN sponsorship.
- Add identification: Add the details of an identification document such as a driver's license or passport to a customer record.